
Infrastructure - Task #2332

Story # 2331 (Closed): Identity portal replication

Portal http session replication

2012-02-14 05:36 - Ben Leinfelder

Status: Closed Start date: 2012-02-14

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Use Hazelcast-WM to replicate session between Tomcat instances.

History

#1 - 2012-02-14 05:39 - Ben Leinfelder

- % Done changed from 0 to 80

This actually turned out to be pretty easy (assuming it works). I it working so that it pulls in the  hazelcast config we are using for the "storage" cluster

(aka metacat/system metadata) so that we only need to configure those hosts in one place for that.

#2 - 2012-02-23 02:25 - Ben Leinfelder

- Status changed from New to Closed

This works astoundingly well! I have it deployed on the cn-dev* cluster and am using it with the CILogon delegation portal.
